io.undertow.util

## Class Methods

- java.lang.Object
- - io.undertow.util.Methods

    public final class Methods
    extends Object

NOTE: If you add a new method here you must also add it to `HttpRequestParser`

Author:
  David M. Lloyd

### Field Summary

Fields
`static HttpString` `ACL`
`static String` `ACL_STRING`
`static HttpString` `BASELINE_CONTROL`
`static String` `BASELINE_CONTROL_STRING`
`static HttpString` `CHECKIN`
`static String` `CHECKIN_STRING`
`static HttpString` `CHECKOUT`
`static String` `CHECKOUT_STRING`
`static HttpString` `CONNECT`
`static String` `CONNECT_STRING`
`static HttpString` `COPY`
`static String` `COPY_STRING`
`static HttpString` `DELETE`
`static String` `DELETE_STRING`
`static HttpString` `GET`
`static String` `GET_STRING`
`static HttpString` `HEAD`
`static String` `HEAD_STRING`
`static HttpString` `LABEL`
`static String` `LABEL_STRING`
`static HttpString` `LOCK`
`static String` `LOCK_STRING`
`static HttpString` `MERGE`
`static String` `MERGE_STRING`
`static HttpString` `MKACTIVITY`
`static String` `MKACTIVITY_STRING`
`static HttpString` `MKCOL`
`static String` `MKCOL_STRING`
`static HttpString` `MKWORKSPACE`
`static String` `MKWORKSPACE_STRING`
`static HttpString` `MOVE`
`static String` `MOVE_STRING`
`static HttpString` `OPTIONS`
`static String` `OPTIONS_STRING`
`static HttpString` `PATCH`
`static String` `PATCH_STRING`
`static HttpString` `POST`
`static String` `POST_STRING`
`static HttpString` `PROPFIND`
`static String` `PROPFIND_STRING`
`static HttpString` `PROPPATCH`
`static String` `PROPPATCH_STRING`
`static HttpString` `PUT`
`static String` `PUT_STRING`
`static HttpString` `REPORT`
`static String` `REPORT_STRING`
`static HttpString` `SEARCH`
`static String` `SEARCH_STRING`
`static HttpString` `TRACE`
`static String` `TRACE_STRING`
`static HttpString` `UNCHECKOUT`
`static String` `UNCHECKOUT_STRING`
`static HttpString` `UNLOCK`
`static String` `UNLOCK_STRING`
`static HttpString` `UPDATE`
`static String` `UPDATE_STRING`
`static HttpString` `VERSION_CONTROL`
`static String` `VERSION_CONTROL_STRING`

### Method Summary

All Methods Static Methods Concrete Methods
`static HttpString` `fromString(String method)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OPTIONS_STRING

    public static final String OPTIONS_STRING

See Also:
  Constant Field Values

#### GET_STRING

    public static final String GET_STRING

See Also:
  Constant Field Values

#### HEAD_STRING

    public static final String HEAD_STRING

See Also:
  Constant Field Values

#### POST_STRING

    public static final String POST_STRING

See Also:
  Constant Field Values

#### PUT_STRING

    public static final String PUT_STRING

See Also:
  Constant Field Values

#### DELETE_STRING

    public static final String DELETE_STRING

See Also:
  Constant Field Values

#### TRACE_STRING

    public static final String TRACE_STRING

See Also:
  Constant Field Values

#### CONNECT_STRING

    public static final String CONNECT_STRING

See Also:
  Constant Field Values

#### PATCH_STRING

    public static final String PATCH_STRING

See Also:
  Constant Field Values

#### PROPFIND_STRING

    public static final String PROPFIND_STRING

See Also:
  Constant Field Values

#### PROPPATCH_STRING

    public static final String PROPPATCH_STRING

See Also:
  Constant Field Values

#### MKCOL_STRING

    public static final String MKCOL_STRING

See Also:
  Constant Field Values

#### COPY_STRING

    public static final String COPY_STRING

See Also:
  Constant Field Values

#### MOVE_STRING

    public static final String MOVE_STRING

See Also:
  Constant Field Values

#### LOCK_STRING

    public static final String LOCK_STRING

See Also:
  Constant Field Values

#### UNLOCK_STRING

    public static final String UNLOCK_STRING

See Also:
  Constant Field Values

#### ACL_STRING

    public static final String ACL_STRING

See Also:
  Constant Field Values

#### REPORT_STRING

    public static final String REPORT_STRING

See Also:
  Constant Field Values

#### VERSION_CONTROL_STRING

    public static final String VERSION_CONTROL_STRING

See Also:
  Constant Field Values

#### CHECKIN_STRING

    public static final String CHECKIN_STRING

See Also:
  Constant Field Values

#### CHECKOUT_STRING

    public static final String CHECKOUT_STRING

See Also:
  Constant Field Values

#### UNCHECKOUT_STRING

    public static final String UNCHECKOUT_STRING

See Also:
  Constant Field Values

#### SEARCH_STRING

    public static final String SEARCH_STRING

See Also:
  Constant Field Values

#### MKWORKSPACE_STRING

    public static final String MKWORKSPACE_STRING

See Also:
  Constant Field Values

#### UPDATE_STRING

    public static final String UPDATE_STRING

See Also:
  Constant Field Values

#### LABEL_STRING

    public static final String LABEL_STRING

See Also:
  Constant Field Values

#### MERGE_STRING

    public static final String MERGE_STRING

See Also:
  Constant Field Values

#### BASELINE_CONTROL_STRING

    public static final String BASELINE_CONTROL_STRING

See Also:
  Constant Field Values

#### MKACTIVITY_STRING

    public static final String MKACTIVITY_STRING

See Also:
  Constant Field Values

#### OPTIONS

    public static final HttpString OPTIONS

#### GET

    public static final HttpString GET

#### HEAD

    public static final HttpString HEAD

#### POST

    public static final HttpString POST

#### PUT

    public static final HttpString PUT

#### DELETE

    public static final HttpString DELETE

#### TRACE

    public static final HttpString TRACE

#### CONNECT

    public static final HttpString CONNECT

#### PATCH

    public static final HttpString PATCH

#### PROPFIND

    public static final HttpString PROPFIND

#### PROPPATCH

    public static final HttpString PROPPATCH

#### MKCOL

    public static final HttpString MKCOL

#### COPY

    public static final HttpString COPY

#### MOVE

    public static final HttpString MOVE

#### LOCK

    public static final HttpString LOCK

#### UNLOCK

    public static final HttpString UNLOCK

#### ACL

    public static final HttpString ACL

#### REPORT

    public static final HttpString REPORT

#### VERSION_CONTROL

    public static final HttpString VERSION_CONTROL

#### CHECKIN

    public static final HttpString CHECKIN

#### CHECKOUT

    public static final HttpString CHECKOUT

#### UNCHECKOUT

    public static final HttpString UNCHECKOUT

#### SEARCH

    public static final HttpString SEARCH

#### MKWORKSPACE

    public static final HttpString MKWORKSPACE

#### UPDATE

    public static final HttpString UPDATE

#### LABEL

    public static final HttpString LABEL

#### MERGE

    public static final HttpString MERGE

#### BASELINE_CONTROL

    public static final HttpString BASELINE_CONTROL

#### MKACTIVITY

    public static final HttpString MKACTIVITY

### Method Detail

#### fromString

    public static HttpString fromString(String method)